
%{?suse_version:%define dist .suse%suse_version}

Summary: CernVM File System Replication Utilities
Name: cvmfs-replica
Version: 2.0.22
Release: 1%{?dist}
Source0: https://cernvm.cern.ch/project/trac/downloads/cernvm/cvmfs-%{version}.tar.gz
Group: Applications/System
License: BSD
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel
%{?el5:BuildRequires: buildsys-macros}
Requires: bash
Requires: coreutils
Requires: grep
Requires: gawk
Requires: sed
Requires: perl
Requires: sudo
Requires: psmisc
Requires: curl
# Account for different package names
%if 0%{?suse_version}
Requires: glibc
%else
Requires: glibc-common
%endif
Requires: cvmfs-keys >= 1.4

%description
HTTP File System for Distributing Software to CernVM.
See http://cernvm.cern.ch
Copyright (c) CERN

%prep
%setup -q -n cvmfs-%{version}

%build
%ifarch x86_64
./configure --enable-sqlite3-builtin --enable-libcurl-builtin --enable-zlib-builtin --disable-cvmfs --prefix=/usr
%else
CFLAGS="-march=i686" CXXFLAGS="-march=i686" ./configure --enable-sqlite3-builtin --enable-libcurl-builtin --enable-zlib-builtin --disable-cvmfs --prefix=/usr
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Keys are in cvmfs-keys
rm -f $RPM_BUILD_ROOT/etc/cvmfs/keys/*

# No server backend
rm -f $RPM_BUILD_ROOT/usr/bin/cvmfs_sync.bin \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_readout \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_sign \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_clgcmp \
  $RPM_BUILD_ROOT/usr/bin/cvmfs-sync \
  $RPM_BUILD_ROOT/usr/bin/cvmfsd_ctrl \
  $RPM_BUILD_ROOT/usr/bin/cvmfs-lvmrotate \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_decrypt \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_mkkey \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_unsign \
  $RPM_BUILD_ROOT/etc/init.d/cvmfsd \
  $RPM_BUILD_ROOT/usr/bin/cvmfs_server \
  $RPM_BUILD_ROOT/etc/cvmfs/server.conf \
  $RPM_BUILD_ROOT/etc/cvmfs/cgi-bin/replica.cgi \
  $RPM_BUILD_ROOT/etc/cvmfs/etc.httpd.conf.d.replica.conf
rmdir $RPM_BUILD_ROOT/etc/cvmfs/cgi-bin
    
# Fix docdir on SuSE
%if 0%{?suse_version}
mkdir -p %RPM_BUILD_ROOT/usr/share/doc/package/%{name}
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version} %RPM_BUILD_ROOT/usr/share/doc/package/%{name}
%else
mv $RPM_BUILD_ROOT/usr/share/doc/cvmfs-2.0.22 $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/cvmfs_zpipe
%{_bindir}/cvmfs_lscat
%{_bindir}/cvmfs_pull
%{_bindir}/cvmfs_scrub
%{_bindir}/cvmfs_snapshot
%config %{_sysconfdir}/cvmfs/replica.conf
%doc COPYING AUTHORS README NEWS ChangeLog FAQ

%changelog
* Thu May 3 2012 Jakob Blomer <jblomer@cern.ch>
- Initial package
